#ifndef _IMQI_HPP_
#define _IMQI_HPP_

//  Library:       MQSeries
//  Component:     IMQI (MQSeries C++ MQI)
//  Part:          IMQI.HPP
//
//  Description:   All MQSeries MQI class declarations
//
//  Statement:     Licensed Materials - Property of IBM
//                 5621-390, 5765-623
//                 (C) Copyright IBM Corp. 1994, 1996
//
//                 U.S. Government Users Restricted Rights -
//                 use, duplication or disclosure restricted by
//                 GSA ADP Schedule Contract with IBM Corp.

#include <imqdlh.hpp> // ImqDeadLetterHeader
#include <imqgmo.hpp> // ImqGetMessageOptions
#include <imqmsg.hpp> // ImqMessage
#include <imqobj.hpp> // ImqObject
#if defined( _IMQ_VER ) && ( _IMQ_VER >= 200 )
#include <imqpro.hpp> // ImqProcess
#endif
#include <imqpmo.hpp> // ImqPutMessageOptions
#include <imqque.hpp> // ImqQueue
#include <imqmgr.hpp> // ImqQueueManager
#include <imqtrg.hpp> // ImqTrigger

#endif
